<div class="sign-up">
   <h1> Welcome To Online Freelance Market Place </h1>
     <form [formGroup]='form' (ngSubmit)="mySignup()">
        <div class="form-group">
              <input formControlName="firstName" class="form-control" placeholder="First Name" type="text"> <br>
                  <div class="alert alert-danger" *ngIf="!form.controls['firstName'].valid && 
                        (form.controls['firstName'].touched || isFormSubmitted)">
                        <p *ngIf="form.controls['firstName'].errors.required">First Name is required</p>
                  </div>
              <input formControlName="lastName" class="form-control" placeholder="Last Name" type="text"> <br>
                  <div class="alert alert-danger" *ngIf="!form.controls['lastName'].valid && 
                        (form.controls['lastName'].touched || isFormSubmitted)">
                        <p *ngIf="form.controls['lastName'].errors.required">Last Name is required</p>
                  </div>
              <input formControlName="email" class="form-control" placeholder="Email" type="email"><br>
                  <div class="alert alert-danger" *ngIf="!form.controls['email'].valid && (
                        form.controls['email'].touched || isFormSubmitted)">
                        <p *ngIf="form.controls['email'].errors.required">Email is required</p>
                  </div>
              <input formControlName="password" class="form-control" placeholder="Password" type="password"> <br>
                  <div class="alert alert-danger" *ngIf="!form.controls['password'].valid && 
                        (form.controls['password'].touched || isFormSubmitted)">
                        <p *ngIf="form.controls['password'].errors.required">Password is required</p>
                  </div>
              <input formControlName="confirmpassword" class="form-control" placeholder="Confirm Password"type="password"><br>
                  <div class="alert alert-danger" *ngIf="!form.controls['confirmpassword'].valid && 
                        (form.controls['confirmpassword'].touched || isFormSubmitted)">
                        <p *ngIf="form.controls['confirmpassword'].errors.required">Confirm Password is required</p>
                  </div>
               <button class="btn bta btn-primary" type="submit" *ngIf="!formUpdating">Sign Up</button>
        </div>
     </form>
</div>
